Bug 49085

Summary: Needs itself as a BuildReq
Product: [Retired] Red Hat Linux Reporter: Enrico Scholz <rh-bugzilla>
Component: emacsAssignee: Trond Eivind Glomsrxd <teg>
Status: CLOSED RAWHIDE QA Contact: Aaron Brown <abrown>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.3   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2001-07-13 22:18:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Enrico Scholz 2001-07-13 14:20:42 UTC
Description of Problem:

The emacs-package tries to build Gnus in its %install stage. Without an
already installed emacs this step fails.

My suggestion is to split gnus into an own package or to add a
`BuildRequires: emacs' to the emacs spec-file.


How Reproducible:

everytime

Steps to Reproduce:
1. remove all emacs-packages
2. rpm --rebuild emacs-20.7-40.src.rpm


Actual Results:

W3DIR=no lispdir=/var/tmp/emacs-20.7-root/usr/share/emacs/site-lisp
srcdir=. emacs -batch -q -no-site-file -l ./dgnushack.el -f dgnushack-compile
/bin/sh: emacs: command not found
make[1]: *** [all] Error 127
make[1]: Leaving directory `/var/volatile/rpm/BUILD/emacs-20.7/gnus-5.8.8/lisp'
make: *** [lick] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.99036 (%install)
    Bad exit status from /var/tmp/rpm-tmp.99036 (%install)

Comment 1 Trond Eivind Glomsrxd 2001-07-13 21:46:00 UTC
Needs to be fixed, without buildrequiring emacs.

Comment 2 Glen Foster 2001-07-13 22:18:52 UTC
This defect considered SHOULD-FIX for Fairfax gold-release.

Comment 3 Trond Eivind Glomsrxd 2001-07-31 04:26:32 UTC
Fixed in emacs 20.7-41